@import 'variables.scss';

.header {
  background-color: $default-color;
  box-shadow: 0 2px 2px 0 rgba(0, 0, 0, 0.2);
  width: 100%;
  height: 44px;
  display: flex;
  align-items: center;
  span {
    color: $primary-color;
    font-size: 15px;
    font-weight: 400;
    line-height: 18px;
    text-align: left;
    padding: 0 0 0 16px;
  }
}

.panel-wrapper {
  padding: 25px;
  .panel {
    background-color: $white;
    border: 1px solid $gray-medium;
    box-shadow: 0 2px 5px 0 rgba(0, 0, 0, 0.18);
    width: 100%;
    height: calc(100vh - 205px);
    overburden-app-line-chart {
      width: 100%;
      height: 100%;
      display: block;
    }
    .title {
      margin: 0 20px;
      display: flex;
      align-items: center;
      justify-content: space-between;
      border-bottom: 2px solid $blue-darker;
      h1 {
        margin: 0;
        width: 100%;
        color: $default-text-color;
        font-size: 24px;
        font-weight: 500;
        line-height: 29px;
        display: flex;
        align-items: center;
        text-align: left;
        height: 56px;
      }
    }
    .content {
      padding: 18px 16px;
      width: 100%;
      .sub-title {
        padding: 12px 0;
        display: flex;
        justify-content: space-between;
        align-items: center;
        border-bottom: 1px solid $blue-darker;
        h2 {
          padding: 0;
          margin: 0;
          color: $default-text-color;
          font-size: 18px;
          font-weight: 500;
          line-height: 22px;
          text-align: left;
        }
        a {
          color: $primary-color;
          font-size: 13px;
          font-weight: 700;
          line-height: 25px;
          text-align: right;
        }
      }
      .row {
        display: flex;
        aside {
          .filter {
            padding: 30px;
            background-color: $gray-lighter;
            width: 284px;
          }
        }
      }
    }
  }
}

/deep/ {
  .mat-form-field {
    .mat-form-field-wrapper {
      .mat-form-field-flex {
        background-color: $white;
      }
    }
  }
  .mat-form-field-label {
    transform: none !important;
    position: relative !important;
    top: 10px !important;
    left: 10px !important;
  }

  .mat-form-field-can-float.mat-form-field-should-float {
    .mat-form-field-label,
    .mat-form-field-empty.mat-form-field-label {
      display: none !important;
    }
  }

  .mat-form-field-underline {
    display: none;
  }

  .mat-form-field-infix {
    border: none;
    border-radius: 6px;
    width: 224px !important;
    height: 35px;
    padding: 10px !important;
    box-shadow: 0 2px 4px 0 rgba(0, 0, 0, 0.05);
  }
  .form-row {
    .mat-form-field-wrapper {
      padding: 0 !important;
    }
    .mat-form-field-infix {
      border: 1px solid $gray-disabled;
      border-radius: 4px;
      width: 316px;
    }
  }
}

.text-box {
  .title-box {
    display: block;
    margin-bottom: 7px;
    color: $gray-darker;
    text-transform: capitalize;
    font-size: 16px;
    font-weight: 700;
    line-height: 19px;
    width: 100%;
    text-align: left;
  }
  .input-here {
    width: 100%;
    height: 100%;
    margin: 0;
    margin-bottom: 1.225rem;
    box-shadow: none;
    background: transparent;
    &.no-margin {
      margin: 0;
    }
    .txt-unit {
      display: none;
    }
    &.show-unit {
      position: relative;
      input {
        padding-right: 40px;
      }

      .txt-unit {
        position: absolute;
        right: 12px;
        top: 0;
        height: 40px;
        display: flex;
        align-items: center;
        color: $default-text-color;
        font-size: 14px;
        font-weight: 400;
        line-height: 17px;
        width: 38px;
        text-align: right;
      }
    }

    &.is-invalid {
      input {
        border: 2px solid $red-color;
        padding: 0 4px;
      }
    }
  }

  input {
    width: 100%;
    height: 40px;
    padding: 0 12px;
    font-size: 12px;
    color: $gray-darker;
    border: none;
    outline: none;
    border-radius: 5px;

    &:hover {
      border: 2px solid $default-text-color;
      padding: 0 10px;
    }

    &:focus {
      border: 2px solid $primary-color;
      padding: 0 10px;
    }
  }
}

.display-area {
  padding-left: 25px;
  flex: 1;
}

.file-dropzone {
  margin-top: 28px;
  ::ng-deep .drag-and-drop__content {
    display: flex;
    flex-direction: column;
    align-items: center;
  }
  ::ng-deep .drag-and-drop__button {
    background-color: $blue-primary;
    border: 1px solid $blue-primary;
    border-radius: 4px;
    width: 122px;
    height: 35px;
    color: $white;
    font-size: 14px;
    font-weight: 500;
    line-height: 17px;
    text-align: center;
    cursor: pointer;
  }
  ::ng-deep .drag-and-drop {
    display: flex;
    flex-direction: row;
    justify-content: center;
    align-items: center;
    padding: 40px;
    background-color: rgba(0, 84, 160, 0.11);
    border: 1px solid rgba($blue-secondary, 0.3720238095238095);
    border-radius: 10px;
    width: 100%;
    height: 255px;
  }
  .file-drop {
    width: 100%;
  }
  .drag-and-drop__text {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    margin: 30px 0;
    color: $gray-medium;
  }

  img {
    width: 36px;
    height: 36px;
  }
}

.btn-calculator {
  display: flex;
  align-items: center;
  justify-content: center;
  min-width: 104px;
  height: 35px;
  padding: 0;
  font-size: 15px;
  font-weight: bold;
  color: $white-text-color;
  border: none;
  border-radius: 3px;
  background: $primary-color;
  box-shadow: 0 2px 4px 0 rgba(0, 0, 0, 0.05);
  cursor: pointer;

  ::ng-deep.mat-button-wrapper {
    line-height: 33px;
  }

  &.export {
    width: 141px;
  }

  &.calc {
    width: 203px;
  }
  &.border-only {
    width: 103px;
    color: $primary-color;
    background: $white;
    border: 1px solid $primary-color;
  }

  &[disabled] {
    opacity: 0.5;
    color: $white;
    pointer-events: none;
  }
}

.form-row {
  border-bottom: 1px solid #d3d7dc;
  height: 60px;
  display: flex;
  justify-content: space-between;
  align-items: center;
  label {
    color: $black-ui;
    font-size: 13px;
    font-weight: 500;
    line-height: 25px;
    text-align: left;
  }
}

.table-header {
  height: 60px;
  display: flex;
  align-items: center;
  justify-content: space-between;
  h3 {
    margin: 0;
    padding: 0;
    color: $black-ui;
    font-size: 18px;
    font-weight: 500;
    line-height: 22px;
    text-align: left;
  }
  span {
    color: #061c30;
    font-size: 13px;
    font-weight: 400;
    line-height: 25px;
    width: 193px;
    text-align: right;
  }
}

.table-container {
  max-height: 489px;
  overflow: auto;

  .mat-row.invalid {
    background: rgba($error-border-color, 0.1);
    .mat-cell {
      color: $error-border-color;
    }
  }

  table {
    width: 100%;
    a {
      display: block;
      color: $blue-primary;
      font-size: 13px;
      font-weight: 400;
      line-height: 25px;
      text-align: center;
    }
    th {
      text-align: center;
    }
    tr {
      td:first-child {
        border-left: 1px solid rgba(0, 0, 0, 0.12);
      }
      td:last-child {
        border-right: 1px solid rgba(0, 0, 0, 0.12);
      }
      &.mat-footer-row {
        td {
          border: 0;
        }
      }
    }
    td {
      text-align: center;
      &.mat-column-action {
        width: 113px;
        text-align: center;
      }
    }
  }
  .text-box {
    padding-right: 20px;
    .input-here {
      margin-bottom: 0;
      input {
        height: 35px;
        border: 2px solid #b9bfc4;
      }
    }
  }
}

overburden-app-line-chart {
  width: 100%;
  display: block;
}

app-density-chart {
  width: 100%;
  display: block;
}

.chart {
  padding-right: 16px;
  flex: 1;
}
